ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Driver.Config

Description

Subsystem configuration

Synopsis

- initOptCoercionOpts :: DynFlags -> OptCoercionOpts
- initSimpleOpts :: DynFlags -> SimpleOpts
- initBCOOpts :: DynFlags -> IO BCOOpts
- initEvalOpts :: DynFlags -> Bool -> EvalOpts

# Documentation

initOptCoercionOpts :: DynFlags -> OptCoercionOpts Source #

Initialise coercion optimiser configuration from DynFlags

initSimpleOpts :: DynFlags -> SimpleOpts Source #

Initialise Simple optimiser configuration from DynFlags

initBCOOpts :: DynFlags -> IO BCOOpts Source #

Extract BCO options from DynFlags

initEvalOpts :: DynFlags -> Bool -> EvalOpts Source #

Extract GHCi options from DynFlags and step